const express = require('express');
const router = express.Router();
const controller = require('../controllers/userController');

// Registro, login y verificación
router.post('/register', controller.registerUser);
router.post('/login', controller.loginUser);
router.get('/:id/stats', controller.getUserStats);
router.get('/verify-email/:token', controller.verifyEmail);
router.post('/forgot-password', controller.forgotPassword);
router.post('/reset-password', controller.resetPassword);

module.exports = router;
